> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Modifiers

> Returns a list of the modifiers



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/modifiers
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/modifiers:
    get:
      tags:
        - Point of Sale
        - Modifiers
      summary: Get Modifiers
      description: Returns a list of the modifiers
      operationId: pos_get_modifiers
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: >-
            Unique identifier of the location. If none passed, products from all
            locations will be returned unless the location was selected by the
            end-user
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_ModifiersItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.modifiers
            - pos.modifiers.read
components:
  schemas:
    ChiftPage_ModifiersItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ModifiersItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[ModifiersItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ModifiersItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the modifier
          examples:
            - 371ca583-d218-4900-b236-397532cf0e52
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the modifier
          examples:
            - Toppings
        options:
          items:
            $ref: '#/components/schemas/ModifierOptionItem'
          type: array
          title: Options
          description: List of options of the modifier
      type: object
      required:
        - id
        - options
      title: ModifiersItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ModifierOptionItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the modifier option
          examples:
            - 371ca583-d218-4900-b236-397532cf0e52
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the modifier option
          examples:
            - Extra Cheese
        price:
          type: number
          title: Price
          description: Price of the modifier option
      type: object
      required:
        - id
        - price
      title: ModifierOptionItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````